Bug 256984 - graphics/gdal: Add HEIF option
Summary: graphics/gdal: Add HEIF option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Po-Chuan Hsieh
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2021-07-04 20:12 UTC by Philipp Ost
Modified: 2021-07-24 20:34 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback? (sunpoet)
koobs: merge-quarterly?


Attachments
Add missing dependency to graphics/libheif (647 bytes, patch)
2021-07-04 20:12 UTC, Philipp Ost
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Ost 2021-07-04 20:12:23 UTC
Created attachment 226226 [details]
Add missing dependency to graphics/libheif

libgdal.so.3.3.0 is linked to /usr/local/lib/libheif.so.1, but the latter is not declared as a dependency.

The attached patch fixes that.
Comment 1 Po-Chuan Hsieh freebsd_committer 2021-07-13 18:14:49 UTC
Thanks for reporting.
You got this because you have libheif installed when you building gdal (detected by gdal during configure).
This should be an option.
It is planned to add more options, including this one.
I'll prepare a patch this weekend.
Comment 2 commit-hook freebsd_committer 2021-07-21 18:16:02 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f155b46a5fbae9311c769aaaad5fa1ee88ef37ca

commit f155b46a5fbae9311c769aaaad5fa1ee88ef37ca
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2021-07-21 17:53:49 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2021-07-21 18:12:12 +0000

    graphics/gdal: Add HEIF option

    PR:             256984
    Requested by:   Philipp Ost <bsd@philippost.de>

 graphics/gdal/Makefile | 3 +++
 1 file changed, 3 insertions(+)
Comment 3 Po-Chuan Hsieh freebsd_committer 2021-07-21 18:24:44 UTC
Committed. Thanks!
Comment 4 commit-hook freebsd_committer 2021-07-24 20:34:37 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=85bce82b6bf03e69f890d5ed868d66dc23123dc5

commit 85bce82b6bf03e69f890d5ed868d66dc23123dc5
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2021-07-24 19:59:47 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2021-07-24 20:16:12 +0000

    graphics/gdal: Add HEIF option

    PR:             256984
    Requested by:   Philipp Ost <bsd@philippost.de>

 graphics/gdal/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)